package domain


type AlibabaWdkSkuQuerySkuSupplierDo struct {
    /*
        供应商编码     */
    SupplierNo  *string `json:"supplier_no,omitempty" `

    /*
        供应商编码名称     */
    SupplierName  *string `json:"supplier_name,omitempty" `

    /*
        是否可退 1可退 0不可退     */
    ReturnFlag  *int64 `json:"return_flag,omitempty" `

    /*
        最小起订量     */
    Minimum  *string `json:"minimum,omitempty" `

    /*
        是否主供应商 1是主供应商 0非主供     */
    MainFlag  *int64 `json:"main_flag,omitempty" `

    /*
        采购单价；淘鲜达合作商家填默认值0；单位:元     */
    PurchasePrice  *string `json:"purchase_price,omitempty" `

}

func (s *AlibabaWdkSkuQuerySkuSupplierDo) SetSupplierNo(v string) *AlibabaWdkSkuQuerySkuSupplierDo {
    s.SupplierNo = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuSupplierDo) SetSupplierName(v string) *AlibabaWdkSkuQuerySkuSupplierDo {
    s.SupplierName = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuSupplierDo) SetReturnFlag(v int64) *AlibabaWdkSkuQuerySkuSupplierDo {
    s.ReturnFlag = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuSupplierDo) SetMinimum(v string) *AlibabaWdkSkuQuerySkuSupplierDo {
    s.Minimum = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuSupplierDo) SetMainFlag(v int64) *AlibabaWdkSkuQuerySkuSupplierDo {
    s.MainFlag = &v
    return s
}
func (s *AlibabaWdkSkuQuerySkuSupplierDo) SetPurchasePrice(v string) *AlibabaWdkSkuQuerySkuSupplierDo {
    s.PurchasePrice = &v
    return s
}
